## ESourceUoa ESourceUoa — ESource extension for Ubuntu Online Accounts |

## Functions

guint | e_source_uoa_get_account_id ()
void | e_source_uoa_set_account_id ()

## Types and Values

#define | E_SOURCE_EXTENSION_UOA
struct | ESourceUoa
struct | ESourceUoaClass

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceUoa extension associates an ESource with an AgAccount. This extension is usually found in a top-level ESource, with various mail, calendar and address book data sources as children.

Access the extension as follows:

    1
    2
    3
    4
    5
    #include <libedataserver/libedataserver.h>

    ESourceUoa *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_UOA);

## Functions

### e_source_uoa_get_account_id ()

    guint
    e_source_uoa_get_account_id (ESourceUoa *extension);

Returns the numeric identifier of the Ubuntu Online Account associated with the ESource to which `extension` belongs.

#### Parameters

extension | an ESourceUoa |

#### Returns

the associated Ubuntu Online Account ID

Since 3.8

### e_source_uoa_set_account_id ()

    void
    e_source_uoa_set_account_id (ESourceUoa *extension,
                                 guint account_id);

Sets the numeric identifier of the Ubuntu Online Account associated with the ESource to which `extension` belongs.

#### Parameters

extension | an ESourceUoa |
account_id | the associated Ubuntu Online Account ID |

Since 3.8

## Types and Values

### E_SOURCE_EXTENSION_UOA

    #define E_SOURCE_EXTENSION_UOA "Ubuntu Online Accounts"

Pass this extension name to `e_source_get_extension()` to access ESourceUoa. This is also used as a group name in key files.

Since 3.8

### struct ESourceUoa

    struct ESourceUoa {
    	ESourceExtension parent;
    	ESourceUoaPrivate *priv;
    };

Contains only private data that should be read and manipulated using the functions below.

Since 3.8

### struct ESourceUoaClass

    struct ESourceUoaClass {
    	ESourceExtensionClass parent_class;
    };